{% for vm in vms %}
{% if vms[vm].id|int < 251 %}
{% set mgmt_ip = "192.168.201." + vms[vm].id %}
{% else %}
{% set next = vms[vm].id|int - 250 %}
{% set mgmt_ip = "192.168.202." + next|string %}
{% endif %}
{{ mgmt_ip }} {{ vm }}
{% endfor %}
